<?php
	session_start();
	$ruta="../../../";
	include_once($ruta."class/credito.php");
	$credito=new credito;
	include_once($ruta."class/grupocredito.php");
    $grupocredito=new grupocredito;
    include_once($ruta."class/grupo.php");
    $grupo=new grupo;
    include_once($ruta."class/asesorhistorico.php");
	$asesorhistorico=new asesorhistorico;
    extract($_POST);
    
    $fecha=date("Y-m-d");
    $gcred=$grupocredito->muestra($idgrupocredito);
    $dgr=$grupo->muestra($gcred['idgrupo']);
    $idejecutivoAnt=$dgr['idadmejecutivo'];
    $idgrupo=$gcred['idgrupo'];
	$valgcred=array(
		"idejecutivo"=>"'$idadmejecutivo'",
 	);  
    $credito->actualizarFila($valgcred,"idgrupocredito=$idgrupocredito");

    $valGrupo=array(
		"idadmejecutivo"=>"'$idadmejecutivo'",
 	);
    $grupo->actualizar($valGrupo,$idgrupo);


    $valores2=array(
        "idanterior"=>"'$idejecutivoAnt'",
        "idactual"=>"'$idadmejecutivo'",
        "idgrupocredito"=>"'$idgrupocredito'",
        "idgrupo"=>"'$idgrupo'",
    );	
    $asesorhistorico->insertar($valores2);

    ?>
    <script type="text/javascript">
        swal({
            title: "Listo",
            text: "Asesor Modificado",
            type: "success",
            showCancelButton: false,
            confirmButtonColor: "#28e29e",
            confirmButtonText: "OK",
            closeOnConfirm: false
        }, function () {
            location.reload();
        });
    </script>